import type { Token } from "../token";
import { Bridge } from "../bridge/bridge";
import { BigNumber } from "@ethersproject/bignumber";
import { ContractTransaction } from "@ethersproject/contracts";
export declare function useSynapseBridge(): Bridge.SynapseBridge[];
export declare function useApproveBridgeSwap(): ((args: {
    token: Token;
    amount?: BigNumber;
}) => Promise<ContractTransaction>)[];
export declare function useExecuteBridgeSwap(): ((args: {
    tokenFrom: Token;
    tokenTo: Token;
    amountFrom: BigNumber;
    amountTo: BigNumber;
    chainIdTo: number;
    addressTo?: string;
}) => Promise<ContractTransaction>)[];
export declare function useCalculateBridgeSwapOutput(): ((args: {
    tokenFrom: Token;
    tokenTo: Token;
    amountFrom: BigNumber;
    chainIdTo: number;
}) => Promise<Bridge.BridgeOutputEstimate>)[];
