import type { Token } from "../token";
import { SwapPools } from "../swappools";
import { BigNumber } from "@ethersproject/bignumber";
import { ContractTransaction } from "@ethersproject/contracts";
export declare function useChainStableswapLPToken(): SwapPools.SwapPoolToken[];
export declare function useChainETHSwapLPToken(): SwapPools.SwapPoolToken[];
export declare function useHarmonyJewelLPToken(): SwapPools.SwapToken[];
export declare function useHarmonyAVAXLPToken(): SwapPools.SwapToken[];
export declare function useCalculateAddLiquidity(): ((args: {
    lpToken: SwapPools.SwapPoolToken;
    amounts: BigNumber[];
}) => Promise<BigNumber>)[];
export declare function useCalculateRemoveLiquidity(): ((args: {
    lpToken: SwapPools.SwapPoolToken;
    amount: BigNumber;
}) => Promise<BigNumber[]>)[];
export declare function useCalculateRemoveLiquidityOneToken(): ((args: {
    lpToken: SwapPools.SwapPoolToken;
    token: Token;
    amount: BigNumber;
}) => Promise<BigNumber[]>)[];
export declare function useAddLiquidity(): ((args: {
    lpToken: SwapPools.SwapPoolToken;
    deadline: BigNumber;
    amounts: BigNumber[];
    minToMint: BigNumber;
}) => Promise<ContractTransaction>)[];
export declare function useRemoveLiquidity(): ((args: {
    lpToken: SwapPools.SwapPoolToken;
    deadline: BigNumber;
    amount: BigNumber;
    minAmounts: BigNumber[];
}) => Promise<ContractTransaction>)[];
export declare function useRemoveLiquidityOneToken(): ((args: {
    lpToken: SwapPools.SwapPoolToken;
    deadline: BigNumber;
    amount: BigNumber;
    minAmount: BigNumber;
    token: Token;
}) => Promise<ContractTransaction>)[];
export declare function useCalculateSwapRate(): ((args: {
    tokenFrom: Token;
    tokenTo: Token;
    amountIn: BigNumber;
}) => Promise<BigNumber>)[];
export declare function useApproveLPToken(): ((args: {
    lpToken: SwapPools.SwapPoolToken;
    amount?: BigNumber;
}) => Promise<ContractTransaction>)[];
